Name:           hardening-script
Version:        1.0
Release:        1%{?dist}
Summary:        RHEL 6 Hardening Scripts

License:        GPLv2
URL:            https://github.com/fcaviggia/hardening-script-el6
Source0:        %{url}/archive/1,0.tar.gz

BuildArch:      noarch

%description

%{name} provides scripts that will harden a system to the following specifications:

  - DISA RHEL 6 STIG V1 R2
  - NIST 800-53 (USGCB) Content for RHEL 5
  - NSA SNAC Guide for Red Hat Enterprise Linux 5
  - Aqueduct Project
  - Tresys Certifiable Linux Integration Platform (CLIP)


%prep
%setup -q -n hardening-script-el6-1-0


%build
# Nothing to do


%install
rm manual/README # provides no valuable information

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -pr *.sh config manual misc scripts %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_sbindir}
ln -s %{_datadir}/%{name}/apply.sh        %{buildroot}%{_sbindir}/system-hardening
ln -s %{_datadir}/%{name}/checkpoint.sh   %{buildroot}%{_sbindir}/system-hardening-checkpoint
ln -s %{_datadir}/%{name}/toggle_ipv6.sh  %{buildroot}%{_sbindir}/toggle_ipv6
ln -s %{_datadir}/%{name}/toggle_usb.sh   %{buildroot}%{_sbindir}/toggle_usb
ln -s %{_datadir}/%{name}/toggle_udf.sh   %{buildroot}%{_sbindir}/toggle_udf
ln -s %{_datadir}/%{name}/toggle_nousb.sh %{buildroot}%{_sbindir}/toggle_nousb


%files
%doc AUTHORS CHANGELOG COPYING LICENSE README.md
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/config
%dir %{_datadir}/%{name}/manual
%dir %{_datadir}/%{name}/misc
%dir %{_datadir}/%{name}/scripts
%{_datadir}/%{name}/*.sh
%{_datadir}/%{name}/config/*
%{_datadir}/%{name}/manual/*.sh
%{_datadir}/%{name}/misc/*.sh
%{_datadir}/%{name}/scripts/*.sh
%{_sbindir}/system-hardening
%{_sbindir}/system-hardening-checkpoint
%{_sbindir}/toggle_ipv6
%{_sbindir}/toggle_usb
%{_sbindir}/toggle_udf
%{_sbindir}/toggle_nousb



%changelog
* Tue May 12 2015 Taylor Braun-Jones <taylor.braun-jones@ge.com> - 1.0-1
- Initial release.
